{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container mt-5">
    <h1> Loan History</h1>
    <div class="col-9">
        <div class="row ">
            <div class="h4-responsive text-capitalize mr-2">
                {{ loans.0.staff_id.first_name }} {{ loans.0.staff_id.last_name }}
            </div>
            <div class="h5-responsive">
                (<strong class="h6-responsive">Staff ID: </strong> {{ loans.0.staff_id.username }})
            </div>
        </div>
    </div>
    <table class="mt-4">
        <thead>
        <tr>
            <th class="text-align-center">Sr. No.</th>
            <th>Amount</th>
            <th>Description</th>
            <th>Date Created</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        {% for loan in loans %}
        <tr>
            <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:loans.start_index }}</td>
            <td data-title="Amount">{{ loan.amount|intcomma }}</td>
            <td data-title="Description">
                {% if loan.approved is None %}
                    Approval is pending...
                {% else %}
                    {{ loan.description }}
                {% endif %}
            </td>
            <td data-title="Date Created">{{ loan.date_created }}</td>
            <td data-title="Action">
                <div class="form-row">
                    <a href="{% url 'view_loan' %}?id={{ loan.id }}"
                       class="btn btn-primary btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-info-circle fa-1x mr-1"></i>Details
                    </a>
                    <a href="{% url 'update_loan' loan.staff_id.id loan.id %}"
                       class="btn btn-danger btn-rounded waves-effect btn-sm px-3"><i
                            class="fas fa-pen fa-1x mr-1"></i>Update
                    </a>
                    <a href="{% url 'del_loan' loan.id %} " class="btn  btn-blue-grey btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-trash fa-1x mr-1"></i>Delete</a>
                </div>
            </td>

        </tr>
        {% endfor %}
        </tbody>
    </table>

    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if loans.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if loans.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?id={{ loans.0.staff_id.id }}&page={{ loans.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in loans.paginator.page_range %}
                {% if loans.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?id={{ loans.0.staff_id.id }}&page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if loans.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?id={{ loans.0.staff_id.id }}&page={{ loans.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
        <!----- Pagination (endblock)---->
    </div>
</div>

{% endblock %}